name: Mark stale issues and pull requests
permissions: read-all

on:
  schedule:
  - cron: "30 20 * * *"

jobs:
  stale:

    runs-on: ubuntu-latest

    steps:
    - uses: actions/stale@v4.0.0
      with:
        repo-token: ${{ secrets.GITHUB_TOKEN }}
        stale-pr-message: 'This pull request is stale because it has been open 6 months with no activity. Please comment or this will be closed in 14 days.'
        stale-issue-message: 'This issue is stale because it has been open 6 months with no activity. Please comment or this will be closed in 14 days.'
        days-before-stale: 182 # 6 months
        days-before-close: 14
        operations-per-run: 1500
        exempt-issue-labels: not-stale
        exempt-pr-labels: not-stale
        exempt-all-milestones: true
